<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";


$config_liblist="10";


$text = @file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}


if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}}

if(empty($sorts)){$sorts="count";}
if($sorts=="count"){
echo '<img src="../images/img/partners.gif" alt=""> <b> Самые читаемые статьи</b><br><br>';
echo '<a href="top.php?sorts=vote&amp;'.SID.'">Сортировать по оценкам</a><br>';
echo '<a href="top.php?sorts=komm&amp;'.SID.'">Сортировать по комментариям</a><hr>';}
if($sorts=="vote"){
echo '<img src="../images/img/partners.gif" alt=""> <b> Самых оцениваемые статьи</b><br><br>';
echo '<a href="top.php?sorts=count&amp;'.SID.'">Сортировать по кол. прочтений</a><br>';
echo '<a href="top.php?sorts=komm&amp;'.SID.'">Сортировать по комментариям</a><hr>';}
if($sorts=="komm"){
echo '<img src="../images/img/partners.gif" alt=""> <b> Самые комментируемые статьи</b><br><br>';
echo '<a href="top.php?sorts=vote&amp;'.SID.'">Сортировать по оценкам</a><br>';
echo '<a href="top.php?sorts=count&amp;'.SID.'">Сортировать по кол. прочтений</a><hr>';}

$dir = opendir ("../local/datalib");
while ($file = readdir ($dir)) 
{if (( $file != ".") && ($file != "..") && ($file != ".htaccess") && ($file != "index.php")) // эти файлы игнорируем
{$a[]=$file;}}  // записываем все что есть в массив
closedir ($dir); //Закрываем 	
$total = count($a);  //считаем 
$bb=$a;
$bb=str_replace(".dat","",$bb);
for ($i = 0; $i < $total; $i++){
$tex = file("../local/datalib/$a[$i]");
$data = explode("|",$tex[0]);
$summa=count($tex)-1;
if($summa<0){$summa="0";}
$dat_total[]=$summa;
$dat_count[]=$data[0];
if($data[1]==""){$data[1]="0";}
$dat_golos[]=$data[1];
$dat_itogi_golos[]=$data[2]/2;
$dat_kategory[]=$data[4];
}

if($sorts=="komm"){
arsort($dat_total);
foreach($dat_total as $k=>$v)
{
if(!$dat_kategory[$k]==""){$vk++;
$dat_itog[$k]=round($dat_itogi_golos[$k]/$dat_golos[$k],1);

$st_name=file("$dat_kategory[$k]/$bb[$k]");

$dat_ball2[]='<div class=b><b><img src="../images/img/files.gif" alt="">  '.$vk.'. 
<a href="lib.php?action=count&amp;did='.$dat_kategory[$k].'&amp;fid='.$bb[$k].'&amp;'.SID.'">'.$st_name[0].'</a></b></div>
<b><a href="lib.php?action=komm&amp;did='.$dat_kategory[$k].'&amp;fid='.$bb[$k].'&amp;'.SID.'">Комментарий: '.$v.'</a></b><br>
Читали: <b>'.$dat_count[$k].'</b><br>
Кол. оценок: <b>'.$dat_golos[$k].'</b><br>
Cредняя оценка: <b>'.$dat_itog[$k].'</b><br>
';}	}}



if($sorts=="count"){
arsort($dat_count);
foreach($dat_count as $k=>$v)
{
if(!$dat_kategory[$k]==""){$vk++;
$dat_itog[$k]=round($dat_itogi_golos[$k]/$dat_golos[$k],1);

$st_name=file("$dat_kategory[$k]/$bb[$k]");

$dat_ball2[]='<div class=b><b><img src="../images/img/files.gif" alt=""> '.$vk.'. 
<a href="lib.php?action=count&amp;did='.$dat_kategory[$k].'&amp;fid='.$bb[$k].'&amp;'.SID.'">'.$st_name[0].'</a></b></div>
Читали: <b>'.$v.'</b><br>
Кол. оценок: <b>'.$dat_golos[$k].'</b><br>
Cредняя оценка: <b>'.$dat_itog[$k].'</b><br>
<b><a href="lib.php?action=komm&amp;did='.$dat_kategory[$k].'&amp;fid='.$bb[$k].'&amp;'.SID.'">Комментарий: '.$dat_total[$k].'</a></b><br>	
';}	}}
	

if($sorts=="vote"){
arsort($dat_golos);
foreach($dat_golos as $k=>$v)
{
if(!$dat_kategory[$k]==""){$vk++;
$dat_itog[$k]=round($dat_itogi_golos[$k]/$dat_golos[$k],1);

$st_name=file("$dat_kategory[$k]/$bb[$k]");

$dat_ball2[]='<div class=b><b><img src="../images/img/files.gif" alt=""> '.$vk.'. 
<a href="lib.php?action=count&amp;did='.$dat_kategory[$k].'&amp;fid='.$bb[$k].'&amp;'.SID.'">'.$st_name[0].'</a></b></div>
Кол. оценок: <b>'.$v.'</b><br>
Cредняя оценка: <b>'.$dat_itog[$k].'</b><br>
Читали: <b>'.$dat_count[$k].'</b><br>
<b><a href="lib.php?action=komm&amp;did='.$dat_kategory[$k].'&amp;fid='.$bb[$k].'&amp;'.SID.'">Комментарий: '.$dat_total[$k].'</a></b><br>
';}	}}

	
$total=count($dat_ball2);
if($total>100){$total="100";}
if ($start=="") {$start = 0;}
if ($total < $start + $config_liblist){ $end = $total; }
else {$end = $start + $config_liblist; }
for ($i = $start; $i < $end; $i++){

echo $dat_ball2[$i];
}
    
echo'<hr>';
if ($start != 0) {echo '<a href="top.php?start='.($start - $config_liblist).'&amp;sorts='.$sorts.'&amp;'.SID.'">&lt;-Назад |</a> ';}else{echo'&lt;-Назад |';}

if ($total > $start + $config_liblist) {echo ' <a href="top.php?start='.($start + $config_liblist).'&amp;sorts='.$sorts.'&amp;'.SID.'">| Далее-&gt;</a>';}else{echo'| Далее-&gt;';}


if($total>0){

$ba=ceil($total/$config_liblist);
$ba2=$ba*$config_liblist-$config_liblist;

echo '<br><hr>Страницы:';
$asd=$start-($config_liblist*3);
$asd2=$start+($config_liblist*4);

if($asd<$total && $asd>0){echo ' <a href="top.php?start=0&amp;sorts='.$sorts.'&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_liblist);

if ($start==$i) {
echo ' <b>'.$ii.'</b>';
               }
                else {
echo ' <a href="top.php?start='.$i.'&amp;sorts='.$sorts.'&amp;'.SID.'">'.$ii.'</a>';
                     }}


$i=$i+$config_liblist;}
if($asd2<$total){echo ' ... <a href="top.php?start='.$ba2.'&amp;sorts='.$sorts.'&amp;'.SID.'">'.$ba.'</a>';}
}


echo'<br><br><a href="index.php?'.SID.'">К категориям</a><br>';
echo'<a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>

